Labelcamp API v2
​integer · min: 1​integer · min: 1 · max: 200
​string · required
Track Videos
Links video content to tracks for music video distribution across DSPs.
List track videos
GET
https://api.idol.io/api/v2
/track-videos
Retrieve video content associations with tracks
query Parameters
page[number]Page number for pagination
Default: 1
page[size]Number of items per page (max 200)
Default: 20
List track videos › Responses
Successful response
Array of resource objects (override with specific resource schema)
​object[]
Related resources included in the response
Create a track video
POST
https://api.idol.io/api/v2
/track-videos
Associate video content with a track
Create a track video › Request Body
​TrackVideoResource · required
Create a track video › Responses
Track video created successfully
The primary resource object (override with specific resource schema)
​object[]
Related resources included in the response
​object
Get track video details
GET
https://api.idol.io/api/v2
/track-videos/{id}
Update a track video
PUT
https://api.idol.io/api/v2
/track-videos/{id}
Update an existing track video association
path Parameters
idResource ID
Update a track video › Request Body
​TrackVideoResource · required
Update a track video › Responses
Track video updated successfully
The primary resource object (override with specific resource schema)
​object[]
Related resources included in the response
​object